Queues - Add
Create a new agent queue to connect a project to an agent pool.
POST https://dev.azure.com/{organization}/{project}/_apis/distributedtask/queues?api-version=7.0
POST https://dev.azure.com/{organization}/{project}/_apis/distributedtask/queues?authorizePipelines={authorizePipelines}&api-version=7.0
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path |
string |
Project ID or project name |
|
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '7.0' to use this version of the api. |
|
authorize
|
query |
boolean |
Automatically authorize this queue when using YAML |
Request Body
| Name | Type | Description |
|---|---|---|
| id |
integer (int32) |
ID of the queue |
| name |
string |
Name of the queue |
| pool |
Pool reference for this queue |
|
| projectId |
string (uuid) |
Project ID |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.agentpools_manage | Grants the ability to manage pools, queues, and agents |
Definitions
| Name | Description |
|---|---|
|
Task |
Additional pool settings and details |
|
Task |
|
|
Task |
Gets or sets the type of the pool |
|
Task |
An agent queue. |
TaskAgentPoolOptions
Additional pool settings and details
| Value | Description |
|---|---|
| none | |
| elasticPool |
TaskAgentPool backed by the Elastic pool service |
| singleUseAgents |
Set to true if agents are re-imaged after each TaskAgentJobRequest |
| preserveAgentOnJobFailure |
Set to true if agents are held for investigation after a TaskAgentJobRequest failure |
TaskAgentPoolReference
| Name | Type | Description |
|---|---|---|
| id |
integer (int32) |
|
| isHosted |
boolean |
Gets or sets a value indicating whether or not this pool is managed by the service. |
| isLegacy |
boolean |
Determines whether the pool is legacy. |
| name |
string |
|
| options |
Additional pool settings and details |
|
| poolType |
Gets or sets the type of the pool |
|
| scope |
string (uuid) |
|
| size |
integer (int32) |
Gets the current size of the pool. |
TaskAgentPoolType
Gets or sets the type of the pool
| Value | Description |
|---|---|
| automation |
A typical pool of task agents |
| deployment |
A deployment pool |
TaskAgentQueue
An agent queue.
| Name | Type | Description |
|---|---|---|
| id |
integer (int32) |
ID of the queue |
| name |
string |
Name of the queue |
| pool |
Pool reference for this queue |
|
| projectId |
string (uuid) |
Project ID |